<mat-card class="charts"><bc-charts [data]="sourceData"></bc-charts></mat-card>
<div class="tables-list">
  <mat-card class="input-tables">
    <h3 class="title">Inputs</h3>
    <bc-input-tables [data]="sourceData.input" (dataChanged)="rawDataItemChanged($event)"> </bc-input-tables>
    <gng-spinner *ngIf="loading"></gng-spinner>
    <button class="form__btn" mat-flat-button color="primary" (click)="recalculate()">
      Recalculate
    </button>
  </mat-card>
  <mat-card class="output-tables">
    <h3 class="title">Outputs</h3>
    <bc-output-tables [data]="sourceData"> </bc-output-tables>
  </mat-card>
</div>
